// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing;

import io.confluent.kafka.databalancing.topology.Broker;
import org.apache.kafka.common.TopicPartition;

import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;

public interface RebalanceContext {

    List<Broker> brokers(TopicPartition topicPartition, String rack);

    List<Broker> brokers(TopicPartition topicPartition);

    Set<String> allRacks();

    Collection<Broker> brokersOnRack(String rack);

    Collection<Broker> brokersOnRacks(Collection<String> rack);

    Collection<Broker> allBrokers();

    Map<TopicPartition, List<Broker>> partitionToBrokers();

    Set<String> racks(List<Broker> brokers);

    int replicationFactor(String topic);

    Collection<TopicPartition> allPartitions();

    Broker leader(TopicPartition topicPartition);

    List<TopicPartition> followers(Broker broker);

    int brokerTopicReplicaCount(Broker broker, String topic);

    int brokerTopicLeaderCount(Broker broker, String topic);

    long brokerSize(Broker broker);

    long brokerTopicSize(Broker broker, String topic);

    long brokerLeadersSize(Broker broker);

    long brokerTopicLeadersSize(Broker broker, String topic);

    long partitionSize(TopicPartition topicPartition);

    List<TopicPartition> replicas(Broker broker);

    List<TopicPartition> leaders(Broker broker);

    String brokerRack(Broker broker);

    Collection<Broker> brokersToBeRemoved();

    Collection<String> topics();
}
