// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class Utils {

    private static final DecimalFormat mbFormatter = new DecimalFormat("#,###.#");

    public static <T extends Comparable<T>> List<T> sorted(Collection<T> collection) {
        List<T> res = new ArrayList<>(collection);
        Collections.sort(res);
        return res;
    }

    public static <T> List<T> sorted(Collection<T> collection, Comparator<T> comparator) {
        List<T> res = new ArrayList<>(collection);
        Collections.sort(res, comparator);
        return res;
    }

    public static <T> String mkString(Collection<T> c, String separator) {
        boolean first = true;
        StringBuilder result = new StringBuilder();
        for (T element : c) {
            if (first)
                first = false;
            else
                result.append(separator);
            result.append(element.toString());
        }
        return result.toString();
    }

    public static String bytesToFormattedMb(long value) {
        return mbFormatter.format(value / 1_000_000.0);
    }


}
