package io.confluent.kafka.databalancing.throttle;

import io.confluent.kafka.databalancing.topology.ReplicaAssignment;
import kafka.common.AdminCommandFailedException;

public interface Throttle {
     /**
     * Apply a throttle appropriate for the supplied assignments
     * @param quota - The upper limit on the replication
     * @param current - The existing assignment
     * @param proposed - The proposed assignment
     */
    void engage(long quota, ReplicaAssignment current, ReplicaAssignment proposed) throws AdminCommandFailedException;

    /**
     * Remove the throttle limit from all brokers and all topics
     * @return - Whether the throttle was disengaged
     */
    boolean disengage();
}
