// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.serializers;

import org.junit.Test;

import java.nio.charset.StandardCharsets;
import java.util.Arrays;

import static org.junit.Assert.*;

public class StringSerdeTest {
  @Test
  public void fromJSON() throws Exception {
    StringSerde serde = new StringSerde();
    String json = "\"test\"";
    byte[] bytes = serde.fromJSON(json);
    byte[] testBytes = "test".getBytes(StandardCharsets.UTF_8);
    assertEquals(StringSerde.MAGIC_BYTE_STRING, bytes[0]);
    assertEquals(testBytes.length + 1, bytes.length);
    assertArrayEquals(testBytes, Arrays.copyOfRange(bytes, 1, bytes.length));

    String deserialized = serde.deserialize(bytes);
    assertEquals("test", deserialized);
  }

  @Test
  public void toJSON() throws Exception {
    StringSerde serde = new StringSerde();
    String json = serde.toJSON("test");
    assertEquals("\"test\"", json);
  }

}