package io.confluent.controlcenter;

import io.confluent.controlcenter.record.Controlcenter.ClientGroup;
import io.confluent.controlcenter.record.Controlcenter.ClientGroupProductionAggregate;
import io.confluent.controlcenter.record.Controlcenter.TopicPartition;
import io.confluent.controlcenter.record.Controlcenter.TopicPartitionClientGroup;
import io.confluent.monitoring.record.Monitoring.MonitoringMessage;

public class ControlCenterProtoHelper {
  public static TopicPartition topicPartition(MonitoringMessage message) {
    return TopicPartition.newBuilder()
        .setClusterId(message.getClusterId())
        .setTopic(message.getTopic())
        .setPartition(message.getPartition())
        .build();
  }

  public static TopicPartitionClientGroup topicPartition(TopicPartition topicPartition, ClientGroup clientGroup) {
    return TopicPartitionClientGroup.newBuilder()
        .setTopicPartition(topicPartition)
        .setClientGroup(clientGroup)
        .build();
  }


  public static ClientGroup.Builder clientGroupBuilder(MonitoringMessage message) {
    return ClientGroup.newBuilder()
        .setWindow(message.getWindow())
        .setClient(message.getClientId())
        .setGroup(message.getGroup());
  }

  public static ClientGroupProductionAggregate.Builder clientGroupProductionAggregateBuilder(ClientGroupProductionAggregate clientGroupProductionAggregate) {
    return ClientGroupProductionAggregate.newBuilder(clientGroupProductionAggregate)
        .clearDiff()
        .setAgg(clientGroupProductionAggregate.getAgg())
        .clearNewClientGroup();
  }
}
