// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.rest;

import com.google.inject.Inject;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import io.confluent.controlcenter.license.LicenseInfo;

@Path("/2.0/license/")
@Produces(MediaType.APPLICATION_JSON)
public class LicenseResource {

  private final LicenseInfo licenseInfo;

  @Inject
  public LicenseResource(LicenseInfo licenseInfo) {
    this.licenseInfo = licenseInfo;
  }

  @GET
  public LicenseInfo licenseInfo() {
    return licenseInfo;
  }

  @GET
  @Path("/monitoring")
  public boolean monitoring() {
    return licenseInfo.isMonitoringEnabled();
  }

  @GET
  @Path("/expiration")
  public long expiration() {
    return licenseInfo.getExpiration();
  }
}
