// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.rest;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Response;

/**
 * This resource swallows anything not defined elsewhere and maps it to an empty 404.
 *
 * Combined with ServletProperties.FILTER_FORWARD_ON_404 it allows forwarding
 * any unmapped paths through the servlet filter chain.
 */
@Path("/")
public class StaticFileResource {

  @GET
  @Path("{path:.*}")
  public Response get() {
    return Response.status(Response.Status.NOT_FOUND).build();
  }
}
