// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.rest.res;

import com.google.common.base.MoreObjects;

import java.util.Arrays;
import java.util.List;
import java.util.Objects;

public class ConnectCluster {
  public final List<String> urls;
  public final String kafkaClusterId;
  public final String displayName;

  public ConnectCluster(List<String> urls, String kafkaClusterId, String displayName) {
    this.urls = urls;
    this.kafkaClusterId = kafkaClusterId;
    this.displayName = displayName;
  }

  //TODO - fix this when we have a good cluster id for Connect
  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;
    ConnectCluster that = (ConnectCluster) o;
    return urls.equals(that.urls);
  }

  //TODO - fix this when we have a good cluster id for Connect
  @Override
  public int hashCode() {
    return Objects.hash(urls);
  }

  @Override
  public String toString() {
    return MoreObjects.toStringHelper(this)
        .add("urls", urls)
        .add("kafkaClusterId", kafkaClusterId)
        .add("displayName", displayName)
        .toString();
  }

}
