package io.confluent.controlcenter.rest.res;

import com.google.common.collect.ComparisonChain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.Objects;

@JsonIgnoreProperties(ignoreUnknown = true)
public class Topic implements Comparable<Topic> {
  public String name;

  public Topic(String name) {
    this.name = name;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;
    Topic topic = (Topic) o;
    return Objects.equals(name, topic.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name);
  }

  @Override
  public int compareTo(Topic o) {
    if (o == null) {
      return -1;
    }
    return ComparisonChain.start().compare(this.name, o.name).result();
  }
}
