// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.serialization;

import io.confluent.controlcenter.record.Controlcenter;
import io.confluent.controlcenter.streams.verify.MonitoringVerifier;
import io.confluent.serializers.ProtoSerde;
import io.confluent.serializers.UberSerde;
import org.apache.kafka.common.serialization.Deserializer;
import org.apache.kafka.common.serialization.Serializer;

import java.util.Map;

public class MonitoringVerifierSerde implements UberSerde<MonitoringVerifier> {

  private final ProtoSerde<Controlcenter.VerifierInfo> serde = new ProtoSerde<>(Controlcenter.VerifierInfo.getDefaultInstance()); //TODO: inject this
  private final MonitoringVerifierSerialization serializer = new MonitoringVerifierSerialization();

  @Override
  public void configure(Map<String, ?> configs, boolean isKey) {}

  @Override
  public Serializer<MonitoringVerifier> serializer() { return this.serializer; }

  @Override
  public Deserializer<MonitoringVerifier> deserializer() { return this.serializer; }

  @Override
  public byte[] serialize(String topic, MonitoringVerifier data) {
    return serializer.serialize(topic, data);
  }

  @Override
  public Class<MonitoringVerifier> type() {
    return MonitoringVerifier.class;
  }

  @Override
  public byte[] serialize(MonitoringVerifier data) {
    return serialize(null, data);
  }

  @Override
  public MonitoringVerifier deserialize(String topic, byte[] data) {
    return serializer.deserialize(topic, data);
  }

  @Override
  public MonitoringVerifier deserialize(byte[] data) {
    return deserialize(null, data);
  }

  @Override
  public void close() {}

  @Override
  public byte[] fromJSON(String json) {
    return serializer.fromJSON(json);
  }

  @Override
  public String toJSON(MonitoringVerifier data) {
    return serializer.toJSON(data);
  }
}
