// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.serialization;

import com.google.common.collect.ImmutableList;
import com.google.common.collect.ImmutableMap;
import io.confluent.controlcenter.record.Controlcenter.Cluster;
import io.confluent.controlcenter.record.Controlcenter.ClusterContext;
import io.confluent.serializers.OrderedKeyPrefixedProtoSerde;
import io.confluent.serializers.OrderedKeyPrefixedSerde;

public class OrderedKeyPrefixedClusterSerdeSupplier implements OrderedKeyPrefixedSerdeSupplier<ClusterContext, Cluster> {
  private static final ImmutableMap<ClusterContext, ImmutableList<Integer>> fieldIdMap = getFieldIdMap();

  @Override
  public OrderedKeyPrefixedSerde<ClusterContext, Cluster> get() {
    return OrderedKeyPrefixedProtoSerde.create(ClusterContext.UNRECOGNIZED, Cluster.getDefaultInstance(), fieldIdMap);

  }

  @Override
  public OrderedKeyPrefixedSerde<ClusterContext, Cluster> get(ClusterContext context) {
    return OrderedKeyPrefixedProtoSerde.create(context, Cluster.getDefaultInstance(), fieldIdMap);
  }

  private static ImmutableMap<ClusterContext, ImmutableList<Integer>> getFieldIdMap() {
    return ImmutableMap.<ClusterContext, ImmutableList<Integer>>builder()
        .put(ClusterContext.STREAM_MONITORING,
            ImmutableList.of(
                Cluster.CLUSTERTYPE_FIELD_NUMBER,
                Cluster.CLUSTERID_FIELD_NUMBER
            ))
        .build();
  }
}
