package io.confluent.controlcenter.streams.cluster;

import io.confluent.monitoring.record.Monitoring.MonitoringMessage;
import org.junit.Test;

import static junit.framework.TestCase.assertFalse;
import static org.junit.Assert.assertTrue;

public class ClusterListCheckTest {

  @Test
  public void checkFilter() throws Exception {
    ClusterListCheck clusterCheck = new ClusterListCheck();
    //This should not be cached b/c it has cluster name set
    assertTrue(clusterCheck.test(null, getMM("cluster-1", "Cluster 1")));
    //Now it gets cached
    assertTrue(clusterCheck.test(null, getMM("cluster-1", null)));
    //Now it's filtered
    assertFalse(clusterCheck.test(null, getMM("cluster-1", null)));
    //Not filtered when name is set
    assertTrue(clusterCheck.test(null, getMM("cluster-1", "Cluster One")));
  }

  private MonitoringMessage getMM(String clusterId, String clusterName) {
    MonitoringMessage.Builder builder = MonitoringMessage.newBuilder()
        .setClusterId(clusterId);
    if (clusterName != null) {
      builder.setClusterName(clusterName);
    }
    return builder.build();
  }

}