#!/usr/bin/env python

from __future__ import print_function
import yaml, sys

def main(opts):
    cfg = yaml.load(sys.stdin)
    instance_id = cfg[opts.type][opts.id - 1]
    print(cfg['instances'][instance_id])

def usage(parser):
    parser.print_help()
    sys.exit(1)

def parse_args():
    from optparse import OptionParser
    parser = OptionParser()
    parser.add_option("--type", dest="type",
                      help="Task type")
    parser.add_option("--id", type="int", dest="id",
                      help="Task id")
    (options, args) = parser.parse_args()

    if options.id is None or options.type is None:
        usage(parser)

    return options

if __name__ == "__main__":
    opts = parse_args()
    main(opts)
