// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { makeAction } from 'actions/util';

import type { Action } from 'types';
import type {
  FormType,
  Option
} from 'types/form';

// intended as a generic action that can be used by different reducers which are managing different forms.
export const SET_FORM_OPTIONS = 'SET_FORM_OPTIONS';
export type SetFormOptionsAction = Action<'SET_FORM_OPTIONS', { formType: FormType, fieldName: string, options: Array<Option> }>
export const setFormOptions = (formType: FormType, fieldName: string, options: Array<Option>): SetFormOptionsAction => makeAction(SET_FORM_OPTIONS, { formType, fieldName, options });
