// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';

import addIcon from 'static/icons/add.svg';
import styles from './EmptyListPrompt.css';
import { Link } from 'react-router';
import { ButtonSecondaryMedium } from 'components/button';

import type { LocationDescriptorObject } from 'types/navigation';

export type EmptyListPromptProps = {
  buttonRoute?: LocationDescriptorObject,
  buttonText?: string,
  header: string,
  text: string
};

const EmptyListPrompt = ({
  buttonRoute,
  buttonText,
  header,
  text
}: EmptyListPromptProps) => (
  <div className={styles['empty-list-prompt-root']}>
    <h3>{header}</h3>
    <p>{text}</p>

    {Boolean(buttonRoute) && Boolean(buttonText) && (
      <Link to={buttonRoute}>
        <ButtonSecondaryMedium
          text={buttonText}
          icon={addIcon}
        />
      </Link>
    )}
  </div>
);

export default EmptyListPrompt;
