// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import styles from './NotFound.css';
import notFoundSrc from 'static/notFound.png';

export const notFoundContents = {
  imgSrc: notFoundSrc,
  errorCode: '404',
  header: 'Oops our streams got crossed',
  subheader: 'Give us a few to get things straightened out again.'
};

export class NotFound extends Component {
  render() {
    return (
      <div className={styles['notfound-root']}>
        <div className={styles['inner']}>
          <img
            alt="Page not found"
            src={notFoundContents.imgSrc}
            title="Confluent - Page not found"
          />
          <h1>{notFoundContents.errorCode}</h1>
          <h2>{notFoundContents.header}</h2>
          <h3>{notFoundContents.subheader}</h3>
        </div>
      </div>
    );
  }
}

export default NotFound;
