// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import styles from './FillGradient.css';

export type FillGradientProps = {
  type: string,
  idCountHack: number
}

export const GradientType = {
  failure: 'failure',
  expected: 'expected',
  missing: 'missing'
};

class FillGradient extends Component {
  props: FillGradientProps;

  static defaultProps = {
    type: GradientType.expected
  };

  render() {
    return (
      <linearGradient id={`${this.props.type}${this.props.idCountHack}`} x1="0%" y1="0%" x2="0%" y2="100%">
        <stop offset="0%" className={styles[`${this.props.type}-start`]} />
        <stop offset="100%" className={styles[`${this.props.type}-stop`]} />
      </linearGradient>
    );
  }
}

export default FillGradient;
