// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { connect } from 'react-redux';
import { formValueSelector } from 'redux-form';

import styles from './FormSummary.css';

import { serializeValues } from 'utils/connector';

export class FormSummary extends Component {
  props: {
    formType: string,
    values: Object
  };

  static defaultProps = {
    values: {}
  };

  render() {
    const { values } = this.props;
    return (
      <div className={styles['form-root']}>
        <h2>All your settings look good! Ready to save your new connection?</h2>
        <pre>
          {JSON.stringify(serializeValues(values), null, 2)}
        </pre>
      </div>
    );
  }
}

export default connect((state, ownProps) => {
  const { formType } = ownProps;
  const fieldNames = Object.keys(state.form[formType].fields);
  return ({
    values: formValueSelector(formType)(state, ...fieldNames)
  });
})(FormSummary);
