// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { connect } from 'react-redux';
import Sticky from 'react-stickynode';

import { AggregateStats } from 'components/aggregate-stats';
import { aComponentIsFocusedSelector } from 'selectors/layout';
import styles from './Header.css';

export class Header extends Component {
  props: {
    aggStats: Array<string>, // TODO(norwood): we should likely extract this, and pass ina  component instead
    bottomLeft?: any,
    topRight?: any
  };

  static defaultProps = {
    aggStats: []
  };

  render() {
    return (
      <div className={styles.root}>
        <Sticky>
          <div className={styles.top}>
            {this.props.topRight}
          </div>
          {this.props.disabled && <div className={styles.unfocused} />}
        </Sticky>
        <div className={styles.bottom}>
          <div>
            {this.props.bottomLeft}
          </div>
          {this.props.aggStats && (
            <AggregateStats aggStats={this.props.aggStats} />
          )}
        </div>
        {this.props.disabled && <div className={styles.unfocused} />}
      </div>
    );
  }
}

export default connect(
  (state) => {
    return {
      disabled: aComponentIsFocusedSelector(state)
    };
  }
)(Header);
