// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import InlineSVG from 'svg-inline-react';

import { IconNames } from './icons';
import styles from './Icon.css';

type iconProps = { name: $Enum<typeof IconNames>, size: number };

export const Icon = ({ name, size }: iconProps) => (
  <InlineSVG
    className={styles.svg}
    raw={true}
    width={size}
    height={size}
    src={IconNames[name]}
  />
);

export default Icon;
