// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import styles from './ContentPanel.css';

export class ContentPanel extends Component {
  props: {
    height?: string | number,
    width?: string | number,
    children?: any,
    hasError: boolean,
    deemphasize: boolean
  };

  static defaultProps = {
    hasError: false,
    deemphasize: false
  };

  render() {
    const {
      children,
      hasError,
      deemphasize,
      height,
      width
    } = this.props;

    const style = {};

    if (typeof height !== 'undefined') {
      style.height = height;
    }
    if (typeof width !== 'undefined') {
      style.width = width;
    }

    const rootClassSelector = hasError
      ? 'content-panel-root-error'
      : (deemphasize
          ? 'content-panel-root-deemphasize'
          : 'content-panel-root');

    return (
      <div
        style={style}
        className={styles[rootClassSelector]}
      >
        {children}
      </div>
    );
  }
}

export default ContentPanel;
