// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { connect } from 'react-redux';

import { MainNavigation } from 'components/navigation';
import { aComponentIsFocusedSelector } from 'selectors/layout';
import styles from './Sidebar.css';


export class Sidebar extends Component {

  render() {
    const query = this.props.location ? this.props.location.query : {};
    return (
      <div className={this.props.disabled ? styles['root-disabled'] : styles.root}>
        <MainNavigation query={query} />
      </div>
    );
  }
}

export default connect(
  (state) => {
    return {
      disabled: aComponentIsFocusedSelector(state)
    };
  }
)(Sidebar);
