// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { connect } from 'react-redux';

import { FormTypes } from 'types/form';
import { ManagementFormContainer } from 'components/management';
import { StepLoader } from 'components/progress-indicator';
import { loadConnectorForEditing } from 'actions/connectorForm';

import type { LoadConnectorForEditingAction } from 'actions/connectorForm';

export class EditForm extends Component {
  props: {
    isLoading: boolean,
    loadConnectorForEditing: (name: string, form: string) => LoadConnectorForEditingAction,
    params: Object
  };

  static defaultProps = {
    isLoading: true
  };

  componentWillMount() {
    this.props.loadConnectorForEditing(this.props.params.connectorName, FormTypes.CONNECTOR_FORM);
  }

  render() {
    return (
      <div>
        {this.props.isLoading ? (
          <StepLoader text="Loading" />
        ) : (
          <ManagementFormContainer {...this.props} />
        )}
      </div>
    );
  }
}

const mapStateToProps = state => ({
  isLoading: state.management[FormTypes.CONNECTOR_FORM].loadingConnector
});

export default connect(mapStateToProps, {
  loadConnectorForEditing
})(EditForm);
