// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import MemberTitle from './MemberTitle';
import { ButtonSecondaryMedium } from 'components/button';
import { Link } from 'react-router';

import styles from './MemberHeader.css';

import type { MemberTitleIconType } from 'types/monitoring';

export type MemberHeaderProps = {
  title: ?Array<string>,
  detailPath: ?string,
  iconType: ?MemberTitleIconType
}

export class MemberHeader extends Component {
  props: MemberHeaderProps;

  render() {
    return (
      <div className={this.props.disabled ? styles['root-disabled'] : styles.root}>
        {this.props.title && this.props.iconType &&
           <MemberTitle title={this.props.title} titleIconType={this.props.iconType} />
        }
        {this.props.detailPath &&
          <div className={styles.nav}>
            <Link to={this.props.detailPath}>
              <ButtonSecondaryMedium text="View Details" />
            </Link>
          </div>
        }
      </div>
    );
  }
}
