// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import InlineSVG from 'svg-inline-react';

import type { MemberTitleIconType } from 'types/monitoring';
import { MemberTitleIconTypes } from 'types/monitoring';

import producerIcon from 'static/icons/producer.svg';
import consumerIcon from 'static/icons/consumer.svg';
import topicsIcon from 'static/icons/topics.svg';

import styles from './MemberTitleIcon.css';

const icons: Object = {
  [MemberTitleIconTypes.CONSUMER_GROUP]: consumerIcon,
  [MemberTitleIconTypes.PRODUCER]: producerIcon,
  [MemberTitleIconTypes.TOPIC]: topicsIcon
};

export class MemberTitleIcon extends Component {
  props: {
    type: ?MemberTitleIconType
  };

  render() {
    if (this.props.type == null) {
      return null;
    }
    const icon = icons[this.props.type];

    if (!icon) {
      return null;
    }

    return <InlineSVG src={icon} className={styles['chart-title-icon-root']} />;
  }
}

export default MemberTitleIcon;
