// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import styles from './StepLoader.css';

export class StepLoader extends Component {
  props: {
    step: number,
    stepTotal: number,
    text: string
  };

  static defaultProps = {
    step: 1,
    stepTotal: 1,
    text: 'Loading'
  };

  render() {
    const {
      step,
      stepTotal,
      text
    } = this.props;

    return (
      <div className={styles.root}>
        <div className={styles.inner}>
          {stepTotal !== 1 && (
            <div className={styles.progress}>
              Step {step} of {stepTotal}
            </div>
          )}
          {text && (
            <div className={styles.text}>
              {text}
            </div>
          )}
        </div>
      </div>
    );
  }
}

export default StepLoader;
