// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { BigDataTable } from './BigDataTable';

import styles from './BigDataTableWithNotifications.css';

const NOTIFICTION_BAR_HEIGHT_PX = 30;

export class BigDataTableWithNotifications extends Component {
  props: {
    bodyTableProps?: Object,
    children?: any,
    headerHeight?: number,
    headerTableProps?: Object,
    height: number,
    rowData: Array<any>,
    rowHeight?: number,
    scrollbarSize?: number,
    notificationText?: ?string,
    onNotificationClick?: Function,
    onHitBottom?: Function
  };

  handleNotificationClick() {
    if (this.props.onNotificationClick != null) {
      this.props.onNotificationClick();
    }
  }

  render() {
    const { notificationText, height, ...props } = this.props;

    const adjustedProps = {
      ...props,
      height: height - (notificationText != null ? NOTIFICTION_BAR_HEIGHT_PX : 0)
    };

    return (
      <div className={styles[notificationText == null ? 'no-shift' : 'shift-down']}>
        <BigDataTable {...adjustedProps}>
          {this.props.children}
        </BigDataTable>
        {notificationText != null
          ? <div className={styles.bar} onClick={this.handleNotificationClick.bind(this)}>
              {notificationText}
            </div>
          : null}
      </div>
    );
  }
}

export default BigDataTableWithNotifications;
