// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import styles from './CellActivity.css';

import type { CellRenderer } from 'types/flex-table';

const statusClassMapping = {
  PAUSED: 'off',
  RUNNING: 'on'
};

const statusLabelMapping = {
  PAUSED: 'stopped',
  RUNNING: 'running'
};

// eslint-disable-next-line object-curly-spacing
export const CellActivity = ({ cellData }: $Shape<CellRenderer>) => (
  <div>
    <i className={styles[`activity-dot-${cellData in statusClassMapping ? statusClassMapping[cellData] : 'off'}`]} />
    <span className={styles['activity-label']}>{cellData in statusLabelMapping ? statusLabelMapping[cellData] : 'stopped'}</span>
  </div>
);

export default CellActivity;
