// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import styles from './FluidTable.css';
import { AutoSizer, FlexTable } from 'react-virtualized';

export class FluidTable extends Component {

  props: {
    rowData: Array<any>,
    children?: any,
    headerHeight: number,
    rowHeight: number,
    extraClass: string
  };

  static defaultProps = {
    extraClass: '',
    headerHeight: 35,
    rowHeight: 50
  };

  render() {
    const {
      children,
      extraClass,
      headerHeight,
      rowData,
      rowHeight
    } = this.props;

    return (
      <AutoSizer>
        {({ height, width }) => (
          <div className={`${styles.root} ${extraClass}`}>
            <FlexTable
              headerHeight={headerHeight}
              height={height}
              rowCount={rowData.length}
              rowGetter={({ index }) => rowData[index]}
              rowHeight={rowHeight}
              rowWrapperClassName={({ index }) => `Grid__cell-${(index + 1) % 2 === 0 ? 'even' : 'odd'}`}
              width={width}
            >
              {children}
            </FlexTable>
          </div>
        )}
      </AutoSizer>
    );
  }
}

export default FluidTable;
