// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import Popover from './Popover';

export class Tooltip extends Component {

  props: {
    className: string,
    style?: Object,
    tipBody: any,
    children?: any
  };

  state: {
    isOpen: boolean
  };

  static defaultProps = {
    className: ''
  };

  handleClose: Function;
  handleOpen: Function;

  constructor() {
    super();
    this.state = {
      isOpen: false
    };

    this.handleClose = this.handleClose.bind(this);
    this.handleOpen = this.handleOpen.bind(this);
  }

  handleOpen() {
    this.setState({
      isOpen: true
    });
  }

  handleClose() {
    this.setState({
      isOpen: false
    });
  }

  render() {
    const {
      children,
      className,
      style,
      tipBody
    } = this.props;

    const { isOpen } = this.state;
    return (
      <Popover
        isOpen={Boolean(isOpen && tipBody)}
        body={tipBody}
      >
        <div
          style={style}
          className={className}
          onMouseEnter={this.handleOpen}
          onMouseLeave={this.handleClose}
        >
          {children}
        </div>
      </Popover>
    );
  }
}

export default Tooltip;
