// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import * as selectionListActions from './selectionListActions';
import selectionCellRenderer from './SelectionCellRenderer';
import selectionHeaderRenderer from './SelectionHeaderRenderer';
import selectionListReducer from './selectionListReducer';
import withSelectionList from './withSelectionList';
import * as selectionListSelectors from './selectionListSelectors';

export type { SelectionCellRendererProps } from './SelectionCellRenderer';
export type { SelectionHeaderRendererProps } from './SelectionHeaderRenderer';

export type {
  DeselectAllAction,
  DeselectItemAction,
  EndRangeSelectAction,
  InitializeAction,
  SelectAllAction,
  SelectItemAction,
  SelectableItem,
  SelectionStatus,
  StartRangeSelectAction
} from './selectionListActions';

export type {
  SelectionListState,
  SelectionListsState
} from './selectionListReducer';

export const SelectionCellRenderer = selectionCellRenderer;
export const SelectionHeaderRenderer = selectionHeaderRenderer;
export const actions = selectionListActions;
export const reducer = selectionListReducer;
export const selectors = selectionListSelectors;

export default withSelectionList;
