// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { FormTypes } from 'types/form';
import { browserHistory } from 'react-router';

import { ACTIONS_INDEX_PATHNAME } from './index';

import {
  alertsUpdateAction,
  alertsTriggers,
  alertsAction
} from 'actions/alerts';

import {
  canSaveSelector,
  fieldSectionsSelector
} from './newActionFormSpec';

import type { Dispatcher } from 'types';

export const EditActionFormSpec = {

  formType: FormTypes.ALERTS_ACTION_FORM,

  fieldSectionsSelector: (state: Object) => {
    return fieldSectionsSelector(state.alerts);
  },

  initialChangeValues: [],
  actionBarButtonsSelector: (state: Object) => {

    return [
      {
        text: 'Cancel',
        isPrimary: false,
        isDisabled: false,
        onClick: () => { browserHistory.push(ACTIONS_INDEX_PATHNAME); }
      },
      {
        text: 'Save action',
        isPrimary: true,
        isDisabled: !canSaveSelector(state),
        onClick: EditActionFormSpec.formSubmitHandler
      }
    ];
  },

  modalComponent: null,

  formMountedHandler: (props: Object) => {
    props.dispatch(alertsTriggers.request());
    props.dispatch(alertsAction.request(props.params.actionid));
  },

  formSubmitHandler: (dispatch: Dispatcher, routeParams: Object) => {
    dispatch(alertsUpdateAction(routeParams.actionid));
  },

  canSaveSelector: canSaveSelector
};
