// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { browserHistory } from 'react-router';

import { FormTypes } from 'types/form';

import { formValueSelector } from 'redux-form';

import { TRIGGERS_INDEX_PATHNAME } from './index';

import {
  alertsUpdateTrigger,
  alertsTrigger,
  TriggerStateUpdateMethods
} from 'actions/alerts';

import {
  canSaveSelector,
  fieldSectionsSelector
} from './newTriggerFormSpec';

import { TriggerFieldIds } from 'types/alerts';
import type { Dispatcher } from 'types';

export const EditTriggerFormSpec = {

  formType: FormTypes.ALERTS_TRIGGER_FORM,

  fieldSectionsSelector: (state: Object) => {
    return fieldSectionsSelector(
      formValueSelector(FormTypes.ALERTS_TRIGGER_FORM)(state, TriggerFieldIds.ALERT_SOURCE),
      state.alerts.triggerForm
    );
  },

  initialChangeValues: [],
  actionBarButtonsSelector: (state: Object) => {
    return [
      {
        text: 'Cancel',
        isPrimary: false,
        isDisabled: false,
        onClick: () => { browserHistory.push(TRIGGERS_INDEX_PATHNAME); }
      },
      {
        text: 'Save trigger',
        isPrimary: true,
        isDisabled: !canSaveSelector(state),
        onClick: EditTriggerFormSpec.formSubmitHandler
      }
    ];
  },

  modalComponent: null,

  formMountedHandler: (props: Object) => {
    props.dispatch(alertsTrigger.request(props.params.triggerid, TriggerStateUpdateMethods.REDUX_FORM));
  },

  formSubmitHandler: (dispatch: Dispatcher, routeParams: Object) => {
    dispatch(alertsUpdateTrigger(routeParams.triggerid));
  },

  canSaveSelector: canSaveSelector
};
