// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import type { Action } from '../../types';

import { ALERTS_RECEIVE_ACTIONS } from 'actions/alerts';
import type { ActionSummary } from 'types/alerts';
import type { AlertsReceiveActionsAction } from 'actions/alerts';


export type ActionsState = Array<ActionSummary> | null;

const defaultState : ActionsState = null;

function setActions(state: ActionsState, action: AlertsReceiveActionsAction): ActionsState {
  return action.payload.data;
}

export function actions(state: ActionsState = defaultState, action: Action<*, *>): ActionsState {
  switch (action.type) {
    case ALERTS_RECEIVE_ACTIONS:
      return setActions(state, action);
    default:
      return state;
  }
}
