// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import type { Action } from 'types';
import {
  ALERTS_TRIGGER_TO_DELETE,
  ALERTS_ACTION_TO_DELETE
} from 'actions/alerts';

export type ToDeleteState = {
  triggerGuid: string | null,
  actionGuid: string | null
};

const defaultState: ToDeleteState = {
  triggerGuid: null,
  actionGuid: null
};

export function toDelete(state: ToDeleteState = defaultState, action: Action<*, *>): ToDeleteState {
  switch (action.type) {
    case ALERTS_TRIGGER_TO_DELETE:
      return {
        ...state,
        triggerGuid: action.payload.guid
      };
    case ALERTS_ACTION_TO_DELETE:
      return {
        ...state,
        actionGuid: action.payload.guid
      };
    default:
      return state;
  }
}
