// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import type { Action } from 'types';

import { ALERTS_RECEIVE_TRIGGERS } from 'actions/alerts';
import type { TriggerSummary } from 'types/alerts';
import type { AlertsReceiveTriggersAction } from 'actions/alerts';


export type TriggersState = Array<TriggerSummary> | null;

const defaultState : TriggersState = null;

function setTriggers(state: TriggersState, action: AlertsReceiveTriggersAction): TriggersState {
  return action.payload.data;
}

export function triggers(state: TriggersState = defaultState, action: Action<*, *>): TriggersState {
  switch (action.type) {
    case ALERTS_RECEIVE_TRIGGERS:
      return setTriggers(state, action);
    default:
      return state;
  }
}
