// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { ALL_CLUSTERS_FETCH_SUCCESS } from 'actions/clusters';

import type { Action } from 'types';
import type { AllClustersFetchSuccessAction } from 'actions/clusters';
import type { AllClustersListState } from 'types/clusters';

const defaultState: AllClustersListState = [];

function handleFetchSuccess(state: AllClustersListState, action: AllClustersFetchSuccessAction): AllClustersListState {
  const { clusters } = action.payload;
  return clusters.length === 0 ? defaultState : clusters;
}

export const reducer = (state: AllClustersListState = defaultState, action: Action<*, *>): AllClustersListState => {
  switch (action.type) {
    case ALL_CLUSTERS_FETCH_SUCCESS:
      return handleFetchSuccess(state, action);
    default:
      return state;
  }
};

export default reducer;
