// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { CLUSTERS_FETCH_SUCCESS } from 'actions/clusters';
import { get } from 'lodash';

import type { Action } from 'types';
import type { ClusterFetchSuccessAction } from 'actions/clusters';
import type { ClusterListState, ClusterType } from 'types/clusters';

const defaultState: ClusterListState = [];

function handleFetchSuccess(state: ClusterListState, action: ClusterFetchSuccessAction): ClusterListState {
  const { clusters } = action.payload;
  return clusters.length ? clusters : defaultState;
}

export const listReducerFactory = (clusterType: ClusterType) => (state: ClusterListState = defaultState, action: Action<*, *>): ClusterListState => {
  if (get(action, 'payload.clusterType') !== clusterType) {
    return state;
  }
  switch (action.type) {
    case CLUSTERS_FETCH_SUCCESS:
      return handleFetchSuccess(state, action);
    default:
      return state;
  }
};
