// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { combineReducers } from 'redux';
import { reducer as form } from 'redux-form';
import { routerReducer } from 'react-router-redux';

import alerts from './alerts';
import auth from './auth';
import clusters from './clusters';
import layout from './layout';
import license from './license';
import management from './management';
import monitoring from './monitoring';
import { reducer as selectionList } from 'components/withSelectionList';

export const makeRootReducer = (asyncReducers?: Object) => {
  return combineReducers({
    alerts,
    auth,
    clusters,
    form,
    layout,
    license,
    management,
    monitoring,
    routing: routerReducer,
    selectionList,
    ...asyncReducers
  });
};

export default makeRootReducer;
