// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { fork } from 'redux-saga/effects';

import alertsSaga from './alerts';
import clustersSaga from './clusters';
import connectorFormSaga from './management/connectorForm';
import connectorPluginsSaga from './management/connectorPlugins';
import connectorsSaga from './management/connectors';
import formChangedSaga from './form';

export default function* root(): Generator<*, *, *> {
  yield [
    fork(alertsSaga),
    fork(clustersSaga),
    fork(connectorFormSaga),
    fork(connectorPluginsSaga),
    fork(connectorsSaga),
    fork(formChangedSaga)
  ];
}
