// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { cancel, fork, take } from 'redux-saga/effects';


export function createDebounceSaga(actionType: string, worker: Function, actionPredicate?: (action: ?Object) => boolean): Function {
  return function* debounceSaga() {
    let task;
    // eslint-disable-next-line no-constant-condition
    while (true) {
      const action = yield take(actionType);
      if (actionPredicate && !actionPredicate(action)) {
        continue;
      }
      if (task) {
        yield cancel(task);
      }
      task = yield fork(worker, action);
    }
  };
}

// TODO(@dylanharrington): create a requestEntity function to reduce boilerplate
