// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

import type { FocusedSpec } from 'reducers/layout';
import { ComponentTypes } from 'actions/layout';

export const focusedComponentSelector = (state: any): FocusedSpec => state.layout.focusedComponent;

export const focusedConsumerGroupSelector = (state: any): ?string => {
  const focused = focusedComponentSelector(state);
  if (!focused) {
    return null;
  }
  if (focused.type !== ComponentTypes.MONITORING_CHART) {
    return null;
  }
  const componentId = focused.id.componentId;
  if (componentId >= 0) {
    return state.monitoring.data.members[componentId].group;
  }
  return state.monitoring.data.overview.group;
};

export const aComponentIsFocusedSelector = (state: any): boolean => state.layout.focusedComponent !== null;

export const popoverPositionSelector = (state: any): { pageX: number, pageY: number } => state.layout.popoverPosition;
