// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { mapKeys, mapValues, pickBy } from 'lodash';

export const encodeFieldName = (name: string): string => name.replace(/\./gi, '-period-');
const decodeFieldName = (name: string): string => name.replace(/\-period\-/gi, '.');

const convertArraysToStrings = (values: Object): Object => mapValues(values, (value: any) => Array.isArray(value) ? value.join(',') : value);

const filterEmptyValues = (values: Object): Object => pickBy(values, (value: any) => {
  return !(value === '' || value === null || value === undefined);
});

export const serializeValues = (values: Object): Object => (
  filterEmptyValues(
    convertArraysToStrings(
      mapKeys(values, (value: any, key: string): string => decodeFieldName(key))
    )
  )
);
