// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import debug from 'debug';
import { get } from 'lodash';

const log = debug('controlcenter:util:memoize');

const argSelectorsGenerator = (i: number): any => {
  return Array(i).fill(0).map((_, i) => {
    return function (...args: Array<any>): any {
      return args[i];
    };
  });
};
const _argSelectors = Array(6).fill(0).map((_, i) => argSelectorsGenerator(i));

export const argSelectors = function (i: number): (...args: Array<any>) => any {
  return _argSelectors[i];
};

// A utility function for debugging purposes to check if the identity of 'test'
// has changed between calls. previous value is stored against 'key', which
// must be specified and must be unique amongst all logIfChanged calls.
export const logIfChanged = (key: string, test: Object) => {
  if (!logIfChanged.memory) {
    logIfChanged.memory = {};
  }

  const before = get(logIfChanged, ['memory', key]);

  if (before !== test) {
    log(`${key}: before: ${before} now: ${test}`);
  }
  logIfChanged.memory[key] = test;
};
