// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';

import { LicenseExpired, licenseExpiredContents } from 'components/LicenseExpired';

describe('<LicenseExpired />', () => {
  it('renders expired graphic and message', () => {
    const component = renderIntoDocument(
      <div>
        <LicenseExpired />
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    const svgs = node.querySelectorAll('svg');
    expect(svgs.length).to.eql(1);

    const h2 = node.querySelectorAll('h2')[0];
    expect(h2.textContent).to.eql(licenseExpiredContents.header);

    const ctas = node.querySelectorAll('a');
    expect(ctas[0].textContent).to.eql(licenseExpiredContents.primaryLabel);
    expect(ctas[0].href).to.eql(licenseExpiredContents.primaryUrl);
    expect(ctas[1].textContent).to.eql(licenseExpiredContents.secondaryLabel);
    expect(ctas[1].href).to.eql(licenseExpiredContents.secondaryUrl);
  });
});
