// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';

import { NotFound, notFoundContents } from 'components/NotFound';

describe('<NotFound />', () => {
  it('renders not found graphic and message', () => {
    const component = renderIntoDocument(
      <div>
        <NotFound />
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    const imgs = node.querySelectorAll('img');
    expect(imgs.length).to.eql(1);
    const img = imgs[0];
    expect(img.src).to.exist;

    const h1 = node.querySelectorAll('h1')[0];
    expect(h1.textContent).to.eql(notFoundContents.errorCode);

    const h2 = node.querySelectorAll('h2')[0];
    expect(h2.textContent).to.eql(notFoundContents.header);

    const h3 = node.querySelectorAll('h3')[0];
    expect(h3.textContent).to.eql(notFoundContents.subheader);
  });
});
