// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';
import { format } from 'd3-format';

import Gridline from 'components/charting/charts/GridLine';

describe('<Gridline />', () => {
  it('renders', () => {
    const component = renderIntoDocument(
      <div>
        <Gridline
          yAxisTotalWidth={10}
          width={100}
          screenY={10}
          domainY={10}
          tickTextFormatter={format('3.3s')}
        />
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    expect(node).to.exist;
  });
});
