// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import { FieldHelp } from 'components/form/FieldHelp';
import styles from 'components/form/FieldHelp.css';

describe('<FieldHelp />', () => {
  let props;

  beforeEach(() => {
    props = {
      defaultValue: 'some defaultValue',
      documentation: 'some documentation',
      error: 'some error'
    };
  });

  it('renders', () => {
    const wrapper = mount(<FieldHelp {...props} />);
    expect(wrapper.find({ className: styles.root })).to.be.present();
  });

  it('renders sections when present', () => {
    const wrapper = mount(<FieldHelp {...props} />);
    expect(wrapper.find({ className: styles['default-value'] })).to.be.present();
    expect(wrapper.find({ className: styles.documentation })).to.be.present();
    expect(wrapper.find({ className: styles.error })).to.be.present();
  });

  it('renders sections when present', () => {
    props = {
      defaultValue: null,
      documentation: null,
      error: null
    };

    const wrapper = mount(<FieldHelp {...props} />);
    expect(wrapper.find({ className: styles['default-value'] })).to.not.be.present();
    expect(wrapper.find({ className: styles.documentation })).to.not.be.present();
    expect(wrapper.find({ className: styles.error })).to.not.be.present();
  });
});
