// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { LabeledTextInput } from 'components/form/LabeledTextInput';

import { getBaseFormField } from './util';

describe('<LabeledTextInput />', () => {
  let props;

  beforeEach(() => {
    const { reduxFormInputProps, sectionField } = getBaseFormField('labeled-text-input');
    props = {
      active: false,
      reduxFormInputProps,
      sectionField: {
        ...sectionField,
        inputType: 'TEXT',
        instantErrorFeedback: false,
        locked: false,
        colSpan: 4,
        placeholder: 'placeholder',
        id: `id-LabeledTextInput-${Date.now()}`
      }
    };
  });

  it('renders', () => {
    const wrapper = shallow(<LabeledTextInput {...props} />);
    expect(wrapper).to.be.present();
  });
});
