// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { expect } from 'chai';
import { shallow } from 'enzyme';

import { getBaseFormField } from './util';
import { Select } from 'components/form/Select';

describe('<Select />', () => {
  let props;

  beforeEach(() => {
    const { reduxFormInputProps, sectionField } = getBaseFormField('select');
    props = {
      active: false,
      reduxFormInputProps,
      sectionField: {
        ...sectionField,
        inputType: 'SELECT',
        id: 'testid',
        options: [{
          label: 'test label',
          value: 'test value'
        }]
      }
    };
  });

  it('renders', () => {
    const wrapper = shallow(<Select {...props} />);
    expect(wrapper).to.be.present();
  });

});
