// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

import type { FormField, FieldSectionField } from 'types/form';

type BaseFormField = {
  reduxFormInputProps: FormField,
  sectionField: FieldSectionField
};

export function getBaseFormField(label: string): BaseFormField {
  const nameAndId = `${label}-${Date.now()}`;

  return {
    reduxFormInputProps: {
      dirty: true,
      disabled: false,
      error: '',
      initialValue: '',
      invalid: false,
      name: nameAndId,
      onBlur: sinon.spy(),
      onChange: sinon.spy(),
      onDragStart: sinon.spy(),
      onDrop: sinon.spy(),
      onFocus: sinon.spy(),
      onUpdate: sinon.spy(),
      pristine: false,
      touched: true,
      valid: true,
      value: 'test value right here',
      visited: true
    },
    sectionField: {
      colSpan: 4,
      dependents: [],
      errors: [],
      group: 'some-group',
      id: nameAndId,
      importance: 'HIGH',
      inputType: 'TEXT',
      instantErrorFeedback: false,
      locked: false,
      order: 1,
      placeholder: 'placeholder',
      required: false,
      value: 'test value right here',
      visible: true
    }
  };
}
