// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import { Icon } from 'components/icon/Icon';
import styles from 'components/icon/Icon.css';

describe('<Icon />', () => {
  let props;

  beforeEach(() => {
    props = {
      name: 'info',
      size: 15
    };
  });

  it('renders', () => {
    const wrapper = mount(<Icon {...props} />);
    expect(wrapper.find({ className: styles.svg })).to.be.present();
  });

  it('passes correct size', () => {
    const wrapper = mount(<Icon {...props} />);
    expect(wrapper).to.have.attr('width', props.size.toString());
    expect(wrapper).to.have.attr('height', props.size.toString());

    const size2 = 20;

    const wrapper2 = mount(<Icon {...props} size={size2} />);
    expect(wrapper2).to.have.attr('width', size2.toString());
    expect(wrapper2).to.have.attr('height', size2.toString());
  });
});
