// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { spy } from 'sinon';

import { ConnectorActionBar } from 'components/management/ConnectorActionBar';

describe('<ConnectorActionBar />', () => {
  const baseProps = {
    route: {
      routedFormData: {
        redirectPathname: '/'
      }
    },
    params: {
      connectorName: 'test'
    }
  };

  it('mounts and loads connector status', () => {
    const loadConnectorStatus = spy();
    const deleteConnector = spy();
    const props = {
      ...baseProps,
      deleteConnector,
      loadConnectorStatus
    };
    const wrapper = shallow(<ConnectorActionBar {...props} />);
    expect(wrapper).to.be.present();
    expect(loadConnectorStatus.callCount).to.equal(1);

    wrapper.unmount();
  });
});
