// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { fork } from 'redux-saga/effects';

import sagaRoot from 'sagas';
import connectorPluginsSaga from 'sagas/management/connectorPlugins';
import formChangedSaga from 'sagas/form';
import connectorsSaga from 'sagas/management/connectors';

describe('sagas/index', () => {
  let generator;
  let next;

  describe('root saga starts all sagas', () => {
    beforeEach(() => {
      generator = sagaRoot();
      next = generator.next();
    });

    it('should start connectorPluginsSaga', () => {
      expect(next.value).to.include(
        fork(connectorPluginsSaga)
      );
    });

    it('should start connectorFormSaga', () => {
      expect(next.value).to.include(
        fork(formChangedSaga)
      );
    });

    it('should start connectorsSaga', () => {
      expect(next.value).to.include(
        fork(connectorsSaga)
      );
    });

    it('should finish', () => {
      next = generator.next();
      expect(next).to.deep.equal({
        done: true,
        value: undefined
      });
    });
  });
});
