// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { showLicenseExpiredSelector } from 'selectors/license';

describe('showLicenseExpiredSelector', () => {
  it('no license info (1)', () => {
    const state = null;
    expect(showLicenseExpiredSelector(state)).to.eql(false);
  });

  it('no license info (2)', () => {
    const state = { monitoring: { some: 'crap' } };
    expect(showLicenseExpiredSelector(state)).to.eql(false);
  });

  it('expired license', () => {
    const state = { license: { expiration: 0 } };
    expect(showLicenseExpiredSelector(state)).to.eql(true);
  });

  it('current license', () => {
    const state = { license: { expiration: Date.now() + 10000 } };
    expect(showLicenseExpiredSelector(state)).to.eql(false);
  });
});
